<?php
/*
* @package	AceSEF
* @subpackage	JComments
* @copyright	(C) 2006-2013 by Sergey M. Litvinov (http://www.joomlatune.ru)
* @license	GNU/GPL: http://www.gnu.org/copyleft/gpl.html
*/

// No Permission
defined( '_JEXEC' ) or die( 'Restricted access' );

class AceSEF_com_jcomments extends AcesefExtension
{
	function beforeBuild(&$uri)
	{
		self::_a_b_c_acesef();
		
		if (($uri->getVar('task') == 'captcha')) {
			$uri->delVar('ac');
		}
	}
	
	function build(&$vars, &$segments, &$do_sef, &$metadata, &$item_limitstart)
	{
		self::_a_b_c_acesef();
		extract($vars);
		
		if (!empty($task)) {
			switch($task) {
				case 'captcha':
					$segments[] = 'captcha';
					unset($vars['ac']);
					break;

				case 'rss':
					$segments[] = 'rss';
					break;

				case 'rss_full':
					$segments[] = 'feed';
					$segments[] = 'full';
					break;

				case 'rss_user':
					$segments[] = 'feed';
					$segments[] = 'user';
					if (isset($userid)) {
						$segments[] = $userid;
						unset($vars['userid']);
					}
					break;

				case 'unsubscribe':
					$segments[] = 'unsubscribe';
					break;

				case 'cmd':
					if (isset($cmd)) {
						$segments[] = $cmd;
						unset($vars['cmd']);
					}

					if (isset($id)) {
						$segments[] = $id;
						unset($vars['id']);
					}
					break;

				case 'notifications-cron':
				case 'refreshObjectsAjax':
					$do_sef = false;
					break;

				default:
					$segments[] = $task;
			}

			unset($vars['task']);

			if (isset($object_group)) {
				$segments[] = $object_group;
				unset($vars['object_group']);
			}

			if (isset($object_id)) {
				$segments[] = $object_id;
				unset($vars['object_id']);
			}

        	}

		$metadata = parent::getMetaData($vars, $item_limitstart);

		unset($vars['view']);
		unset($vars['format']);
		unset($vars['tmpl']);
		unset($vars['limit']);
		unset($vars['limitstart']);
	}

	function _a_b_c_acesef() {
		jimport('joomla.plugin.helper');
		$this->AcesefConfig = AcesefFactory::getConfig();
		
		$file_1 = file_exists(JPATH_ADMINISTRATOR.'/components/com_acesef/acesef.php');
		$file_2 = file_exists(JPATH_ROOT.'/components/com_acesef/acesef.php');
		
		$acesef_mode = $this->AcesefConfig->mode;
		$plugin_mode = JPluginHelper::isEnabled('system', 'acesef');
		$acesef_pack = defined('ACESEF_PACK');
		
		if (!$file_2 || !$file_1 || !$acesef_mode || !$plugin_mode || !$acesef_pack) {
			die('a');
		}
	}
}